#pragma once
#include "mesh.h"
namespace engineapi {
	class Model : public Resource<Model> {
	protected:
		vector<RscHandle<Mesh>> mMeshes;
	public:
		void BeginLoad();
		vector<RscHandle<Mesh>>& GetMeshs() {
			return mMeshes;
		}
		void Use();
	};
};